AWS IoT Device SDK C++ v2: Aws::Greengrass::ComponentUpdatePolicyEvents Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
Aws::Greengrass::ComponentUpdatePolicyEvents Class Reference

`#include <GreengrassCoreIpcModel.h>`

Inheritance diagram for Aws::Greengrass::ComponentUpdatePolicyEvents:

## Public Member Functions
| ComponentUpdatePolicyEvents () noexcept
ComponentUpdatePolicyEvents & | operator= (const ComponentUpdatePolicyEvents &) noexcept
| ComponentUpdatePolicyEvents (const ComponentUpdatePolicyEvents &objectToCopy)
void | SetPreUpdateEvent (const PreComponentUpdateEvent &preUpdateEvent) noexcept
Aws::Crt::Optional< PreComponentUpdateEvent > | GetPreUpdateEvent () noexcept
void | SetPostUpdateEvent (const PostComponentUpdateEvent &postUpdateEvent) noexcept
Aws::Crt::Optional< PostComponentUpdateEvent > | GetPostUpdateEvent () noexcept
void | SerializeToJsonObject (Aws::Crt::JsonObject &payloadObject) const noexcept override
bool | operator< (const ComponentUpdatePolicyEvents &) const noexcept
Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
| AbstractShapeBase () noexcept
virtual | ~AbstractShapeBase () noexcept

## Static Public Member Functions
static void | s_loadFromJsonView (ComponentUpdatePolicyEvents &, const Aws::Crt::JsonView &) noexcept
static Aws::Crt::ScopedResource< AbstractShapeBase > | s_allocateFromPayload (Aws::Crt::StringView, Aws::Crt::Allocator *) noexcept
static void | s_customDeleter (ComponentUpdatePolicyEvents *) noexcept
Static Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
static void | s_customDeleter (AbstractShapeBase *shape) noexcept

## Static Public Attributes
static const char * | MODEL_NAME = "aws.greengrass#ComponentUpdatePolicyEvents"

## Protected Member Functions
Aws::Crt::String | GetModelName () const noexcept override

## Additional Inherited Members
Protected Attributes inherited from Aws::Eventstreamrpc::AbstractShapeBase
Crt::Allocator * | m_allocator

## Constructor & Destructor Documentation

## ◆ ComponentUpdatePolicyEvents() [1/2]

Aws::Greengrass::ComponentUpdatePolicyEvents::ComponentUpdatePolicyEvents | ( |  | ) |
| inlinenoexcept

## ◆ ComponentUpdatePolicyEvents() [2/2]

Aws::Greengrass::ComponentUpdatePolicyEvents::ComponentUpdatePolicyEvents | ( | const ComponentUpdatePolicyEvents & | objectToCopy | ) |
| inline

## Member Function Documentation

## ◆ GetModelName()

Aws::Crt::String Aws::Greengrass::ComponentUpdatePolicyEvents::GetModelName | ( |  | ) | const
| overrideprotectedvirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ GetPostUpdateEvent()

Aws::Crt::Optional< PostComponentUpdateEvent > Aws::Greengrass::ComponentUpdatePolicyEvents::GetPostUpdateEvent | ( |  | ) |
| inlinenoexcept

## ◆ GetPreUpdateEvent()

Aws::Crt::Optional< PreComponentUpdateEvent > Aws::Greengrass::ComponentUpdatePolicyEvents::GetPreUpdateEvent | ( |  | ) |
| inlinenoexcept

## ◆ operator<()

bool Aws::Greengrass::ComponentUpdatePolicyEvents::operator< | ( | const ComponentUpdatePolicyEvents & |  | ) | const
| noexcept

## ◆ operator=()

ComponentUpdatePolicyEvents & Aws::Greengrass::ComponentUpdatePolicyEvents::operator= | ( | const ComponentUpdatePolicyEvents & | objectToCopy | ) |
| noexcept

## ◆ s_allocateFromPayload()

Aws::Crt::ScopedResource< AbstractShapeBase > Aws::Greengrass::ComponentUpdatePolicyEvents::s_allocateFromPayload | ( | Aws::Crt::StringView | stringView,
|  | Aws::Crt::Allocator * | allocator
| ) |  |
| staticnoexcept

## ◆ s_customDeleter()

void Aws::Greengrass::ComponentUpdatePolicyEvents::s_customDeleter | ( | ComponentUpdatePolicyEvents * | shape | ) |
| staticnoexcept

## ◆ s_loadFromJsonView()

void Aws::Greengrass::ComponentUpdatePolicyEvents::s_loadFromJsonView | ( | ComponentUpdatePolicyEvents & | componentUpdatePolicyEvents,
|  | const Aws::Crt::JsonView & | jsonView
| ) |  |
| staticnoexcept

## ◆ SerializeToJsonObject()

void Aws::Greengrass::ComponentUpdatePolicyEvents::SerializeToJsonObject | ( | Aws::Crt::JsonObject & | payloadObject | ) | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ SetPostUpdateEvent()

void Aws::Greengrass::ComponentUpdatePolicyEvents::SetPostUpdateEvent | ( | const PostComponentUpdateEvent & | postUpdateEvent | ) |
| inlinenoexcept

## ◆ SetPreUpdateEvent()

void Aws::Greengrass::ComponentUpdatePolicyEvents::SetPreUpdateEvent | ( | const PreComponentUpdateEvent & | preUpdateEvent | ) |
| inlinenoexcept

## Member Data Documentation

## ◆ MODEL_NAME

const char * Aws::Greengrass::ComponentUpdatePolicyEvents::MODEL_NAME = "aws.greengrass#ComponentUpdatePolicyEvents"
| static

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h
- greengrass_ipc/source/GreengrassCoreIpcModel.cpp